/*
Solar Conquest
Copyright (C) 2006 Greg Beaman

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#define MENU_ITEM_NONE 0
#define MENU_ITEM_SCREENBUTTON 1
#define MENU_ITEM_FUNCBUTTON 2
#define MENU_ITEM_TEXTBOX 3
#define MENU_ITEM_NUMBERBOX 4
#define MENU_ITEM_IPADDRBOX 5
#define MENU_ITEM_LISTBOX 6
#define MENU_ITEM_TEXT 7
#define MENU_ITEM_BARCHART 8
#define MENU_ITEM_BIGTEXT 9

class CMenuItem
{
protected:
	int x,y;
	int width;
	int height;
	int id;

public:
	char caption[MAX_STRING_SIZE];

	int itemType;

	CMenuItem* nextItem;

//	virtual CMenuItem();
	virtual ~CMenuItem();

	virtual void SetText(char* text);
	virtual void DrawItem(bool selected);
	virtual void DrawItemText(bool selected);

	virtual int GetX();
	virtual int GetY();
	virtual int GetWidth();
	virtual int GetHeight();
	virtual int GetId();
};

CMenuItem::~CMenuItem()
{
}

void CMenuItem::DrawItem(bool selected)
{
}
void CMenuItem::DrawItemText(bool selected) {}

void CMenuItem::SetText(char* text)
{
	if (strlen(text) < MAX_STRING_SIZE)
		strcpy(caption,text);
}

int CMenuItem::GetX() { return x; }
int CMenuItem::GetY() { return y; }
int CMenuItem::GetWidth() { return width; }
int CMenuItem::GetHeight() { return height; }
int CMenuItem::GetId() { return id; }